# class MimeAuthLine | MIME authentication line. More...
Full name | `TelEngine::MimeAuthLine`
Definition | `#include <yatemime.h>`
Inherits | TelEngine::MimeHeaderLine [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- MimeAuthLine (const char* name, const String& value)
- MimeAuthLine (const MimeAuthLine& original, const char* newName = 0)
- virtual void* getObject (const String& name) const
- virtual MimeHeaderLine* clone (const char* newName = 0) const
- virtual void buildLine (String& line, bool header = true) const

## Detailed Description

A MIME header line containing authentication data.

MimeAuthLine (const char* name, const String& value) | ### MimeAuthLine

Constructor. Builds a MIME authentication header line from a string buffer. Splits the value into header parameters

Parameters:

name | The header name
value | The header value

MimeAuthLine (const MimeAuthLine& original, const char* newName = 0) | ### MimeAuthLine

Constructor. Builds this MIME authentication header line from another one

Parameters:

original | Original header line to build from.
newName | Optional new header name. If 0, the original name will be used

void* getObject (const String& name) | ### getObject

[const virtual]

RTTI method, get a pointer to a derived class given the class name.

Parameters:

name | Name of the class we are asking for

Returns: Pointer to the requested class or NULL if this object doesn't implement it

Reimplemented from MimeHeaderLine.

MimeHeaderLine* clone (const char* newName = 0) | ### clone

[const virtual]

Duplicate this MIME header line.

Parameters:

newName | Optional new header name. If 0, this header's name will be used

Returns: Copy of this MIME header line

Reimplemented from MimeHeaderLine.

void buildLine (String& line, bool header = true) | ### buildLine

[const virtual]

Build a string line from this MIME header without adding a line separator

Parameters:

line | Destination string
header | True to add the header in front of line text

Reimplemented from MimeHeaderLine.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.